#pragma once

#include "AbstractVisualNode.h"

class Wire;

class CircuitElementNode : public AbstractVisualNode
{
public:
	CircuitElementNode(const Transform& transform);

	virtual ~CircuitElementNode();

	virtual Point getConnectionLocation(Wire* wire) const = 0;
};